<ion-header>

  <ion-navbar>
    <ion-title>Vulnerabilidade</ion-title>
    <ion-buttons end>
        <div class="icone-imagem">
          <img src="{{ photo }}" class="icone-imagem" (click)="addPerfil2()">
        </div>
      </ion-buttons>
  </ion-navbar>
</ion-header>
<ion-content padding>
    <ion-slides #signupSlider pager>
          <ion-slide ><span class="icone-direita" (click)="infoVes13()"><ion-icon name="md-information-circle"></ion-icon></span>
            <div class="titulo-testes" text-left>Instruções</div>
          <div class="texto-testes" text-left text-wrap>
          Responda as perguntas nas telas a seguir, clicando em próximo depois de cada resposta.  Ao final, você verá sua pontuação e a recomendação
          </div>
          <!--<div class="fonte" padding text-left><strong>Fonte:</strong><br>Caderneta de Saúde da Pessoa Idosa<br>Ministério da Saúde<br>2017</div>-->

          <div class="rodape">
          <button ion-item round  block color="botao" class="botao-testes" (click)="next()">Próximo</button>
        </div>
        </ion-slide>
          <ion-slide >
          <form [formGroup]="slide0Form">

          <ion-item >
          <ion-label stacked class="campos-testes">Idade:</ion-label>
          <ion-input type="number" placeholder="|" [(ngModel)]="ves13.idade"  name="ves13.idade" formControlName="idad"></ion-input>
        </ion-item>

            <div class="rodape">
            <button ion-item round  block color="botao" class="botao-testes" (click)="next()" [disabled]="slide0Form.invalid">Próximo</button>
</div>
               </form>
        </ion-slide>
        <ion-slide>
            <form [formGroup]="slide1Form">
            <div class="titulo-testes" text-left>
              Auto-percepção de saúde
            </div>
              <div class="texto-testes" text-left text-wrap>
                  Em geral, comparando com outras pessoas de sua idade, você diria que sua saúde é:
                </div>
                   <ion-list radio-group name="ves13.percepcao_saude" [(ngModel)]="ves13.percepcao_saude" formControlName="percep">
                       <ion-item *ngFor="let category of percepcao_saude">
                           <ion-label class="campos-testes"> {{category.name}}</ion-label>
                           <ion-radio [value]="category.id" ></ion-radio>
                       </ion-item>
                   </ion-list>
                   <div class="rodape">
                   <button ion-item round  block color="botao" class="botao-testes" (click)="next()" [disabled]="slide1Form.invalid || slide0Form.invalid">Próximo</button>
                 </div>
      </form>
</ion-slide>
<ion-slide>
    <form [formGroup]="slide2Form">
    <div class="titulo-testes" text-left>Limitações físicas</div>
    <div class="texto-testes"  text-wrap text-left>
       Curvar-se, agachar ou ajoelhar-se?
      </div>
        <ion-list radio-group name="limitacao1" [(ngModel)]="ves13.limitacao1" formControlName="limita1">
            <ion-item *ngFor="let limitacao of limitacoes"  >
                <ion-label class="campos-testes"> {{ limitacao.name }}</ion-label>
                <ion-radio [value]="limitacao.id"></ion-radio>
            </ion-item>
        </ion-list>
        <div class="rodape">
      <button ion-item round  block color="botao" class="botao-testes" (click)="next()" [disabled]="slide2Form.invalid || slide1Form.invalid || slide0Form.invalid">Próximo</button>
    </div>
      </form>
</ion-slide>
<ion-slide>
    <form [formGroup]="slide3Form">
      <div class="titulo-testes" text-left>Limitações físicas</div>
    <div class="texto-testes"  text-wrap text-left>
        Levantar ou carregar objetos com peso aproximado de 5kg?
      </div>
         <ion-list radio-group name="limitacao2" [(ngModel)]="ves13.limitacao2" formControlName="limita2">
             <ion-item *ngFor="let limitacao of limitacoes">
                 <ion-label class="campos-testes"> {{ limitacao.name }}</ion-label>
                 <ion-radio [value]="limitacao.id"></ion-radio>
             </ion-item>
              </ion-list>
              <div class="rodape">
       <button ion-item round  block color="botao" class="botao-testes" (click)="next()" [disabled]="slide3Form.invalid || slide2Form.invalid || slide1Form.invalid || slide0Form.invalid">Próximo</button>
</div>
       </form>
</ion-slide>
<ion-slide>
    <form [formGroup]="slide4Form">
      <div class="titulo-testes" text-left>Limitações físicas</div>
    <div class="texto-testes"  text-wrap text-left>Elevar ou estender os braços acima do nível do ombro</div>
      <ion-list radio-group name="limitacao3" [(ngModel)]="ves13.limitacao3" formControlName="limita3">
             <ion-item *ngFor="let limitacao of limitacoes">
                <ion-label class="campos-testes"> {{ limitacao.name }}</ion-label>
                <ion-radio [value]="limitacao.id"></ion-radio>
             </ion-item>
         </ion-list>
         <div class="rodape">
       <button ion-item round  block color="botao" class="botao-testes" (click)="next()" [disabled]="slide4Form.invalid || slide3Form.invalid || slide2Form.invalid || slide1Form.invalid || slide0Form.invalid">Próximo</button>
</div>
       </form>
        </ion-slide>
<ion-slide>
    <form [formGroup]="slide5Form">
        <div class="titulo-testes" text-left>Limitações físicas</div>
    <div class="texto-testes" text-wrap text-left>
        Escrever ou manusear e segurar pequenos objetos? </div>
         <ion-list radio-group name="limitacao4" [(ngModel)]="ves13.limitacao4" formControlName="limita4">
             <ion-item *ngFor="let limitacao of limitacoes">
                 <ion-label class="campos-testes"> {{ limitacao.name }}</ion-label>
                 <ion-radio [value]="limitacao.id"></ion-radio>
             </ion-item>
         </ion-list>
         <div class="rodape">
    <button ion-item round  block color="botao" class="botao-testes" (click)="next()" [disabled]="slide5Form.invalid || slide4Form.invalid || slide3Form.invalid || slide2Form.invalid || slide1Form.invalid || slide0Form.invalid">Próximo</button>
</div>
  </form>
</ion-slide>
  <ion-slide>
      <form [formGroup]="slide6Form">
        <div class="titulo-testes" text-left>Limitações físicas</div>
      <div class="texto-testes" text-wrap text-left>
          Andar 400 metros (aproximadamente quatro quarteirões) ?  </div>
           <ion-list radio-group name="limitacao5" [(ngModel)]="ves13.limitacao5" formControlName="limita5">
               <ion-item *ngFor="let limitacao of limitacoes">
                   <ion-label class="campos-testes"> {{ limitacao.name }}</ion-label>
                   <ion-radio [value]="limitacao.id"></ion-radio>
               </ion-item>
           </ion-list>
           <div class="rodape">
      <button ion-item round  block color="botao" class="botao-testes" (click)="next()" [disabled]="slide6Form.invalid || slide5Form.invalid || slide4Form.invalid || slide3Form.invalid || slide2Form.invalid || slide1Form.invalid || slide0Form.invalid">Próximo</button>
</div>
</form>
    </ion-slide>
    <ion-slide>
        <form [formGroup]="slide7Form">
          <div class="titulo-testes" text-left>Limitações físicas</div>
        <div class="texto-testes" text-wrap text-left>
            Fazer serviço doméstico pesado, como esfregar o chão ou limpar janelas?
          </div>
             <ion-list radio-group name="limitacao6" [(ngModel)]="ves13.limitacao6" formControlName="limita6">
                 <ion-item *ngFor="let limitacao of limitacoes">
                     <ion-label class="campos-testes"> {{ limitacao.name }}</ion-label>
                     <ion-radio [value]="limitacao.id"></ion-radio>
                 </ion-item>
                </ion-list>
                <div class="rodape">
       <button ion-item round  block color="botao" class="botao-testes" (click)="next()" [disabled]="slide7Form.invalid || slide6Form.invalid || slide5Form.invalid || slide4Form.invalid || slide3Form.invalid || slide2Form.invalid || slide1Form.invalid || slide0Form.invalid">Próximo</button>
</div>
  </form>
      </ion-slide>
      <ion-slide>
          <form [formGroup]="slide8Form">
            <div class="titulo-testes" text-left>Incapacidades</div>
          <div class="texto-testes" text-wrap text-left>
            Por causa de sua saúde ou condição física, você deixou de fazer compras?
            </div>
               <ion-list radio-group name="incapacidade1" [(ngModel)]="ves13.incapacidade1" formControlName="incapa1">
                   <ion-item *ngFor="let incapacidade1 of incapacidades1">
                       <ion-label class="campos-testes" text-wrap> {{ incapacidade1.name}}</ion-label>
                       <ion-radio [value]="incapacidade1.id"></ion-radio>
                   </ion-item>
                  </ion-list>
                  <div class="rodape">
         <button ion-item round  block color="botao" class="botao-testes" (click)="next()" [disabled]="slide8Form.invalid || slide7Form.invalid || slide6Form.invalid || slide5Form.invalid || slide4Form.invalid || slide3Form.invalid || slide2Form.invalid || slide1Form.invalid || slide0Form.invalid">Próximo</button>
</div>
    </form>
        </ion-slide>
        <ion-slide>
            <form [formGroup]="slide9Form">
              <div class="titulo-testes" text-left>Incapacidades</div>
            <div class="texto-testes" text-left text-wrap>
                Por causa de sua saúde ou condição física, você deixou de controlar seu dinheiro, seus gastos ou pagar contas?
              </div>
                 <ion-list radio-group name="incapacidade2" [(ngModel)]="ves13.incapacidade2" formControlName="incapa2">
                     <ion-item *ngFor="let incapacidade2 of incapacidades2">
                         <ion-label class="campos-testes" text-wrap> {{ incapacidade2.name }}</ion-label>
                         <ion-radio [value]="incapacidade2.id"></ion-radio>
                     </ion-item>
                    </ion-list>
                    <div class="rodape">
           <button ion-item round  block color="botao" class="botao-testes" (click)="next()" [disabled]="slide9Form.invalid || slide8Form.invalid || slide7Form.invalid || slide6Form.invalid || slide5Form.invalid || slide4Form.invalid || slide3Form.invalid || slide2Form.invalid || slide1Form.invalid || slide0Form.invalid">Próximo</button>
</div>
      </form>
          </ion-slide>
          <ion-slide>
              <form [formGroup]="slide10Form">
                <div class="titulo-testes" text-left>Incapacidades</div>
              <div class="texto-testes" text-wrap text-left>
                Por causa de sua saúde ou condição física, você deixou de caminhar dentro de casa?
                </div>
                   <ion-list radio-group name="incapacidade3" [(ngModel)]="ves13.incapacidade3" formControlName="incapa3">
                       <ion-item *ngFor="let incapacidade3 of incapacidades3">
                           <ion-label class="campos-testes" text-wrap> {{ incapacidade3.name }}</ion-label>
                           <ion-radio [value]="incapacidade3.id"></ion-radio>
                       </ion-item>
                      </ion-list>
                      <div class="rodape">
             <button ion-item round  block color="botao" class="botao-testes" (click)="next()" [disabled]="slide10Form.invalid || slide9Form.invalid || slide8Form.invalid || slide7Form.invalid || slide6Form.invalid || slide5Form.invalid || slide4Form.invalid || slide3Form.invalid || slide2Form.invalid || slide1Form.invalid || slide0Form.invalid">Próximo</button>
</div>
        </form>
            </ion-slide>
            <ion-slide>
                <form [formGroup]="slide11Form">
                  <div class="titulo-testes" text-left>Incapacidades</div>
                <div class="texto-testes" text-wrap text-left>
                    Por causa de sua saúde ou condição física, você deixou de realizar tarefas domésticas leves, como lavar louça ou fazer limpeza leve?
                  </div>
                     <ion-list radio-group name="incapacidade4" [(ngModel)]="ves13.incapacidade4" formControlName="incapa4">
                         <ion-item *ngFor="let incapacidade4 of incapacidades4">
                             <ion-label class="campos-testes" text-wrap> {{ incapacidade4.name }}</ion-label>
                             <ion-radio [value]="incapacidade4.id"></ion-radio>
                         </ion-item>
                        </ion-list>
                        <div class="rodape">
               <button ion-item round  block color="botao" class="botao-testes" (click)="next()" [disabled]="slide11Form.invalid || slide10Form.invalid || slide9Form.invalid || slide8Form.invalid || slide7Form.invalid || slide6Form.invalid || slide5Form.invalid || slide4Form.invalid || slide3Form.invalid || slide2Form.invalid || slide1Form.invalid || slide0Form.invalid">Próximo</button>
</div>
          </form>
              </ion-slide>
              <ion-slide>
                  <form [formGroup]="slide12Form">
                    <div class="titulo-testes" text-left>Incapacidades</div>
                  <div class="texto-testes" text-wrap text-left>
                    Por causa de sua saúde ou condição física, você deixou de tomar banho sozinho(a)?
                    </div>
                       <ion-list radio-group name="incapacidade5" [(ngModel)]="ves13.incapacidade5" formControlName="incapa5">
                           <ion-item *ngFor="let incapacidade5 of incapacidades5">
                               <ion-label class="campos-testes" text-wrap> {{ incapacidade5.name }}</ion-label>
                               <ion-radio [value]="incapacidade5.id"></ion-radio>
                           </ion-item>
                          </ion-list>
<div class="rodape">
                 <button ion-item round  block color="botao" class="botao-testes" (click)="saveVes13()" [disabled]="slide12Form.invalid || slide11Form.invalid || slide10Form.invalid || slide9Form.invalid || slide8Form.invalid || slide7Form.invalid || slide6Form.invalid || slide5Form.invalid || slide4Form.invalid || slide3Form.invalid || slide2Form.invalid || slide1Form.invalid || slide0Form.invalid">Concluir</button>
</div>
            </form>
                </ion-slide>

</ion-slides>
</ion-content>
